#
# spec file for package python-toposort
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-toposort
Version:        1.10
Release:        2.5
Summary:        Implements a topological sort algorithm
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://gitlab.com/ericvsmith/toposort
Source:         https://files.pythonhosted.org/packages/source/t/toposort/toposort-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Implements a topological sort algorithm.

%prep
%setup -q -n toposort-%{version}
chmod a-x *.txt
# can't discover and execute at the same time
sed -i '/unittest.main/d' test/test_toposort.py

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest -v

%files %{python_files}
%doc CHANGES.txt README.md
%license LICENSE.txt
%{python_sitelib}/toposort.py*
%pycache_only %{python_sitelib}/__pycache__/toposort*
%{python_sitelib}/toposort-%{version}.dist-info

%changelog
* Tue Jan  2 2024 Dirk Müller <dmueller@suse.com>
- require setuptools
* Wed Dec 27 2023 Dirk Müller <dmueller@suse.com>
- update to 1.10:
  * Fix performance issue with large datasets.
  * Use f-strings instead of str.format().
  * Fix issue #2: Allow non-orderable items when a
    CircularDependencyError is raised
  * Completely change to pyproject.toml.  Deleted setup.cfg.
  * Drop support for python 2.7.
  * No functional changes.
* Fri Oct 22 2021 Ben Greiner <code@bnavigator.de>
- Update to version 1.7
  * Changed to use setup.cfg and pyproject.toml.  Deleted setup.py.
  * GH issue #1: No longer modify input data structures.  Thanks
    Lenz Furrer.
* Tue Dec 10 2019 Todd R <toddrme2178@gmail.com>
- initial version
